Upgrade shipped Twemoji-colr to 0.4.0 for Emoji 11 support.

VERIFIED FIXED in Firefox 67

Status

()

enhancement
P3
normal
VERIFIED FIXED
11 months ago
8 days ago

People

(Reporter: Kwan, Assigned: Kwan)

Tracking

(Blocks 1 bug)

unspecified
mozilla68
Points:
---
Dependency tree / graph

Firefox Tracking Flags

(relnote-firefox 67+, firefox67 verified, firefox68 verified)

Details

()

Attachments

(7 attachments, 1 obsolete attachment)

Assignee

Description

11 months ago
See https://github.com/mozilla/twemoji-colr/pull/37
Adds support for new emoji in Unicode/Emoji 11, see https://emojipedia.org/emoji-11.0/
Priority: -- → P3
Blocks: 1500340
Component: General → Graphics: Text
Product: Firefox → Core
Assignee

Updated

2 months ago
See Also: → 1540747
Assignee

Comment 2

a month ago
Posted file Test case for new and fixed emojis (obsolete) —
Assignee

Comment 3

a month ago

Thanks jfkthame!

Sheriffs, no try run since since it's just updating a font file, which really shouldn't affect any tests (and the last update didn't do a try run either: bug 1358240)

Keywords: checkin-needed
Assignee

Comment 5

a month ago

Comment on attachment 9058885 [details]
Bug 1470107 - Update Twemoji Mozilla to 0.4.0 (twemoji 11.4.0). r=jfkthame

Beta/Release Uplift Approval Request

  • User impact if declined: Users continue to miss out on emojis from Unicode/Emoji 11, and experience unwanted decomposition of emojis & incorrectly-rendered UN flag
  • Is this code covered by automated tests?: No Well the unwanted decomposition is, apparently ;)
  • Has the fix been verified in Nightly?: No
  • Needs manual test from QE?: Yes
  • If yes, steps to reproduce: Open attached test case and check rendering matched attached "after" view/nothing looks broken (Edit: on Linux and Win7 specifically, macOS and newer Windows should be using system emojis when available, though may fall back to these if need be)
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): Just updating a font file
  • String changes made/needed: None
Attachment #9058885 - Flags: approval-mozilla-beta?
Assignee

Updated

a month ago
Flags: qe-verify+
Assignee

Updated

a month ago
Blocks: 1463161
Assignee

Comment 6

a month ago
Attachment #9059466 - Attachment is obsolete: true

Comment 7

a month ago

Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/dbd5a80a7a3b
Update Twemoji Mozilla to 0.4.0 (twemoji 11.4.0). r=jfkthame

Keywords: checkin-needed

Comment 8

a month ago

Backed out for reftests failures in 1463020-letter-spacing-text-transform-1.html

Push that started the failures: https://treeherder.mozilla.org/#/jobs?repo=autoland&resultStatus=pending%2Crunning%2Csuccess%2Ctestfailed%2Cbusted%2Cexception&searchStr=linux%2Cdebug%2Creftests%2Cwithout%2Ce10s%2Ctest-linux32%2Fdebug-reftest-1proc-6%2Cr-1proc%28r6%29&revision=dbd5a80a7a3be85942ddc5440d2895c656021cc5

Failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=241412140&repo=autoland&lineNumber=24559

Backout: https://hg.mozilla.org/integration/autoland/rev/4b056b3a6e755fdaa8a0f30fde0876261c3021db

[task 2019-04-19T14:20:01.566Z] 14:20:01 INFO - REFTEST TEST-START | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1-ref.html
[task 2019-04-19T14:20:01.567Z] 14:20:01 INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1.html | 151 / 287 (52%)
[task 2019-04-19T14:20:01.584Z] 14:20:01 INFO - ++DOMWINDOW == 342 (0xcb5c5000) [pid = 3840] [serial = 419] [outer = 0xd4ef2bd0]
[task 2019-04-19T14:20:01.701Z] 14:20:01 INFO - REFTEST TEST-LOAD | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1-ref.html | 151 / 287 (52%)
[task 2019-04-19T14:20:01.739Z] 14:20:01 INFO - ++DOMWINDOW == 343 (0xcb5c4400) [pid = 3840] [serial = 420] [outer = 0xd4ef2bd0]
[task 2019-04-19T14:20:01.876Z] 14:20:01 INFO - REFTEST TEST-UNEXPECTED-PASS | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1-ref.html | image comparison, max difference: 0, number of differing pixels: 0
[task 2019-04-19T14:20:01.876Z] 14:20:01 INFO - REFTEST IMAGE: data:image/png;base64,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
[task 2019-04-19T14:20:01.878Z] 14:20:01 INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1.html
[task 2019-04-19T14:20:01.879Z] 14:20:01 INFO - REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
[task 2019-04-19T14:20:01.880Z] 14:20:01 INFO - REFTEST INFO | Saved log: Initializing canvas snapshot
[task 2019-04-19T14:20:01.881Z] 14:20:01 INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
[task 2019-04-19T14:20:01.882Z] 14:20:01 INFO - REFTEST INFO | Saved log: [CONTENT] RecordResult fired
[task 2019-04-19T14:20:01.882Z] 14:20:01 INFO - REFTEST INFO | Saved log: RecordResult fired
[task 2019-04-19T14:20:01.883Z] 14:20:01 INFO - REFTEST INFO | Saved log: START file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1-ref.html
[task 2019-04-19T14:20:01.884Z] 14:20:01 INFO - REFTEST INFO | Saved log: [CONTENT] OnDocumentLoad triggering AfterOnLoadScripts
[task 2019-04-19T14:20:01.885Z] 14:20:01 INFO - REFTEST INFO | Saved log: Initializing canvas snapshot
[task 2019-04-19T14:20:01.886Z] 14:20:01 INFO - REFTEST INFO | Saved log: DoDrawWindow 0,0,800,1000
[task 2019-04-19T14:20:01.887Z] 14:20:01 INFO - REFTEST INFO | Saved log: [CONTENT] RecordResult fired
[task 2019-04-19T14:20:01.888Z] 14:20:01 INFO - REFTEST INFO | Saved log: RecordResult fired
[task 2019-04-19T14:20:01.888Z] 14:20:01 INFO - REFTEST TEST-END | file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1.html == file:///builds/worker/workspace/build/tests/reftest/tests/layout/reftests/text/1463020-letter-spacing-text-transform-1-ref.html
[task 2019-04-19T14:20:01.890Z] 14:20:01 INFO - ++DOMWINDOW == 344 (0xcb5be800) [pid = 3840] [serial = 421] [outer = 0xd4ef2bd0]

Flags: needinfo?(moz-ian)
Assignee

Comment 9

a month ago

(In reply to Ian Moody [:Kwan] (UTC+1) from comment #3)

Sheriffs, no try run since since it's just updating a font file, which really shouldn't affect any tests

Ha, famous last words. On the plus side it's just a new pass, since I hadn't looked closely enough at bug 1463161 to see it had a test.

So, green try this time for the failing test:
https://treeherder.mozilla.org/#/jobs?repo=try&revision=c81165b76b538314a1e692110a752f9df8653ca1

Flags: needinfo?(moz-ian)
Keywords: checkin-needed

Comment 10

a month ago

Pushed by ccoroiu@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/9bdb1897c29a
Update Twemoji Mozilla to 0.4.0 (twemoji 11.4.0). r=jfkthame

Keywords: checkin-needed

Comment 11

a month ago
bugherder
Status: ASSIGNED → RESOLVED
Last Resolved: a month ago
Resolution: --- → FIXED
Target Milestone: --- → mozilla68

Comment on attachment 9058885 [details]
Bug 1470107 - Update Twemoji Mozilla to 0.4.0 (twemoji 11.4.0). r=jfkthame

Font update for emoji correctness. OK for beta uplift.

Attachment #9058885 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
QA Whiteboard: [qa-triaged]

As part of the uplift verification, using the test-case attached, I've verified it on Nightly 68.0a1 (2019-04-22) and it looks like there are significant differences between Mac - Win - Lin, on Windows 10 apparently not being fixed.

Win 10 - not fixed
Ubuntu - looks better than Win 10, but not sure if the new emoji have to be similar to the comparison screenshot
Mac - all looks fine.

Ian, could you please take a look and advise?

Flags: needinfo?(moz-ian)
Assignee

Comment 16

a month ago

Ah apologies, I probably should have specified, but this is mainly for Linux and Windows 7. On macOS and newer Windows we rely on the system's emoji support (which win7 doesn't have due to its age). So this only needs to be tested on Linux and Win7.

However I don't get why you are seeing (mostly) the Twemoji versions in the new section, I don't see that in my local 10 VM :S. What version of 10 is it? And what's the before result on it? Maybe it's an older build that doesn't have the latest emoji support? Either way that seems like a separate issue though.

Flags: needinfo?(moz-ian)

The WIndows 10 version is 1803 OS. Build 17134.706 . Added a screenshot with the test page from 04.17 before the fix landed.

Updating the Win 10 OS to the latest version as we speak.

Assignee

Comment 18

a month ago

Ah cool, yeah that's what I was expecting to see. So the reason you are (were) seeing the change for new emojis at all on 10 is because your build has no support for those new emojis, so we do use Twemoji as a fallback in those cases.

The reason we don't use Twemoji for the hair component sequences and flags on that Win10 build is (I think) because that build does have system support for some of the component codepoints of those sequences, so it uses those, but then can't do the whole sequence. Not entirely sure what's up with the UN flag though.

(In reply to Ian Moody [:Kwan] (UTC+1) from comment #18)

The reason we don't use Twemoji for the hair component sequences and flags on that Win10 build is (I think) because that build does have system support for some of the component codepoints of those sequences, so it uses those, but then can't do the whole sequence.

Right, the old Win10 emoji font had the base emojis (people, etc), so they're used; then the hair-color codes were left as unsupported characters.

Not entirely sure what's up with the UN flag though.

For some reason, MS included the individual regional-indicator letters in Segoe UI Emoji, but there are no ligatures to combine the pairs of them into flags, so you just see the two-letter code.

So this looks like expected behavior.

Assignee

Comment 21

a month ago

Release Note Request (optional, but appreciated)
[Why is this notable]: Improves emoji support on platforms lacking their own (Linux, Win7) (and supplements support on older builds of OSs with their own support but not the most recent update)
[Affects Firefox for Android]: No
[Suggested wording]: "Included Twemoji Mozilla font updated to support Emoji 11.0 🥳" (not sure if worth including a clause like ", bringing new emojis to Windows 7 and Linux" after "11.0", and it can affect newer Windows)
[Links (documentation, blog post, etc)]:

Assignee

Updated

a month ago
relnote-firefox: --- → ?

Windows7 Version 6.1 Build 7601 - sp1

reproduced the lack of support on:

  • 68.0a1 20190416095014

verified as fixed on :

  • 68.0a1 20190423095327
  • 67.0b13 20190422163745

Windows10 Version 1809 Build 17763.437

verified as fixed on :

  • 68.0a1 20190423095327
  • 67.0b13 20190422163745

Ubuntu 16.04 and Mac OSx 10.14

verified as fixed on :

  • 68.0a1 2019-04-23
  • 67.0b13 2019-04-22

As a note related to Win 10, the UN flag still looks like in comment16, but from what I got that's expected behavior. Let me know if there is a need for a separate bug for that.

Status: RESOLVED → VERIFIED
QA Whiteboard: [qa-triaged]
Flags: qe-verify+

added to Nightly notes with this wording:
Included Twemoji Mozilla font updated to support Emoji 11.0 🥳

You need to log in before you can comment on or make changes to this bug.